LibreOffice: XGridFieldDataSupplier Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XGridFieldDataSupplier Interface Referencepublished

provides access to the data of a GridControl More...

`import "XGridFieldDataSupplier.idl";`

Inheritance diagram for XGridFieldDataSupplier:

## Public Member Functions
sequence< boolean > | queryFieldDataType ([in] type xType)
| checks whether or not the content of the grid's columns can be retrieved in the requested format.
sequence< any > | queryFieldData ([in] long nRow, [in] type xType)
| retrieves the actual column data for the given row
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to the data of a GridControl

You can retrieve the data type information and the data in a row.

This interface allows to retrieve data even for rows which are not current, which is quite useful, as normally, you can't affect the current row in a grid control without moving the cursor of the underlying com::sun::star::form::component::DataForm.

See also
  XGrid
  com::sun::star::form::control::GridControl
  com::sun::star::form::component::GridControl

Deprecated

## Member Function Documentation

## ◆ queryFieldData()

sequence< any > queryFieldData | ( | [in] long | nRow,
|  | [in] type | xType )

retrieves the actual column data for the given row

If a column does not support the requested type, NULL is returned at the respective position.

See also
  XGridFieldDataSupplier::queryFieldDataType

## ◆ queryFieldDataType()

sequence< boolean > queryFieldDataType | ( | [in] type | xType | ) |

checks whether or not the content of the grid's columns can be retrieved in the requested format.

Not every cell content can be retrieved in every representation. For example, in a text column, you usually won't be able to retrieve the content as double.
To check if the type you need is supported by the columns, use this method.

Returns
  A sequence of boolean flags. Each flag corresponds to the respective column, and TRUE indicates that the column content can be retrieved in the requested format, FALSE denies this.

See also
  XGridColumnFactory
  DataAwareControlModel
  XGridFieldDataSupplier::queryFieldData

The documentation for this interface was generated from the following file:

- com/sun/star/form/XGridFieldDataSupplier.idl